// Top-level build file where you can add configuration options common to all sub-projects/modules.
apply from: "compile.gradle"
buildscript {
    ext.kotlin_version = "1.4.31"
    repositories {
        maven { url 'http://maven.aliyun.com/nexus/content/groups/public/' }
        maven { url 'http://maven.aliyun.com/nexus/content/repositories/jcenter' }
        maven {
            url 'http://maven.aliyun.com/nexus/content/repositories/releases/'
        }
        google()
        mavenCentral()
        maven { url 'https://developer.huawei.com/repo/'}
    }
    dependencies {
        classpath "com.android.tools.build:gradle:4.2.0"
        classpath "org.jetbrains.kotlin:kotlin-gradle-plugin:$kotlin_version"

        // NOTE: Do not place your application dependencies here; they belong
        // in the individual module build.gradle files
    }
}

allprojects {
    repositories {
        repositories {
            maven { url 'http://maven.aliyun.com/nexus/content/groups/public/' }
            maven { url 'http://maven.aliyun.com/nexus/content/repositories/jcenter' }
            maven {
                url 'http://maven.aliyun.com/nexus/content/repositories/releases/'
            }
            google()
            mavenCentral()
            jcenter() // Warning: this repository is going to shut down soon
            maven { url "https://jitpack.io" }
            maven { url 'https://repo1.maven.org/maven2/' }

            maven { url 'https://developer.huawei.com/repo/'}

        }
    }
}

task clean(type: Delete) {
    delete rootProject.buildDir
}